package com.muyu.common.config;

import org.springframework.amqp.core.ReturnedMessage;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/7/10
 * @回退机制
 */
@Component
public class ReturnCallbackConfig implements RabbitTemplate.ReturnsCallback {

    @Autowired
    private RabbitTemplate rabbitTemplate;
    public void init() {
        rabbitTemplate.setReturnsCallback(this);
    }
    @Override
    public void returnedMessage(ReturnedMessage returnedMessage) {
        System.out.println("消息:"+returnedMessage.getMessage().toString()+"回退"+"被回退到交换机:"+returnedMessage.getExchange()+"拖回原因:"+returnedMessage.getReplyText());
    }
}
