package com.muyu.cloud.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/7/30 10:42
 * @注释
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class Audit {
    private Integer auditId;
    private Integer id;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditStartDate;
    private Integer houseId;

    private BigDecimal auditActualPrice;
    private BigDecimal auditDiscountPrice;
    private String auditDesc;
    private Integer loadStatus;
    private Integer contractId;

}
