package com.muyu.house.controller;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.muyu.cloud.system.domain.House;
import com.muyu.cloud.system.domain.response.HouseResp;
import com.muyu.common.result.Result;
import com.muyu.common.utils.OssUtil;
import com.muyu.house.service.HouseService;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/7/30 10:46
 * @注释
 */
@RestController
@RequestMapping("/house")
public class HouseController {

    @Resource
    private HouseService houseService;

    @PostMapping("/showHouses")
    public Result<PageInfo<HouseResp>> showHouses(@RequestBody House house){
        PageHelper.startPage(house.getPageNum(),house.getPageSize());
        List<HouseResp> houseRespList = houseService.showHouses(house);
        PageInfo<HouseResp> pageInfo = new PageInfo<>(houseRespList);
        return Result.success(pageInfo);
    }

    @PostMapping("/findHouseById/{houseId}")
    public Result<House> findHouseById(@PathVariable("houseId") Integer houseId){
        return Result.success(houseService.findHouseById(houseId));
    }

    @PostMapping("/upload")
    public String upload(@RequestParam MultipartFile file){
        return OssUtil.uploadMultipartFile(file);
    }
}
