package com.muyu.house.service.impl;

import com.muyu.cloud.system.domain.Contract;
import com.muyu.cloud.system.domain.Method;
import com.muyu.common.redis.service.RedisService;
import com.muyu.house.mapper.ContractMapper;
import com.muyu.house.service.ContractService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/7/30 13:55
 * @注释
 */
@Service
public class ContractServiceImpl implements ContractService {
    @Resource
    private ContractMapper contractMapper;
    @Resource
    private RedisService redisService;

    private static final String CONTRACT_DATA="contract:AllData";
    @Override
    public List<Contract> showContract() {
        if(redisService.hasKey(CONTRACT_DATA)){
            return redisService.getCacheObject(CONTRACT_DATA);
        }
        List<Contract> contractList = contractMapper.showContract();
        redisService.setCacheObject(CONTRACT_DATA,contractList);
        return contractList;
    }


}
