package com.muyu.house.service.impl;

import com.muyu.cloud.system.domain.Method;
import com.muyu.common.redis.service.RedisService;
import com.muyu.house.mapper.MethodMapper;
import com.muyu.house.service.MethodService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/7/30 11:07
 * @注释
 */
@Service
public class MethodServiceImpl implements MethodService {
    @Resource
    private MethodMapper methodMapper;

    @Resource
    private RedisService redisService;

    private static final String METHOD_DATA="method:AllData";
    @Override
    public List<Method> showMethod() {
        if(redisService.hasKey(METHOD_DATA)){
            return redisService.getCacheObject(METHOD_DATA);
        }
        List<Method> methodList = methodMapper.showMethods();
        redisService.setCacheObject(METHOD_DATA,methodList);
        return methodList;
    }
}
