package com.muyu.cloud.system.controller;

import com.muyu.cloud.system.domain.UserInfo;
import com.muyu.cloud.system.service.UserService;
import com.muyu.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/7/30 9:46
 * @注释
 */
@RestController
@RequestMapping("/user")
@Log4j2
public class UserController {
    @Resource
    private UserService userService;

    @PostMapping("/login/{userTel}")
    public Result<UserInfo> login(@PathVariable("userTel") String userTel){
        UserInfo login = userService.login(userTel);
        log.info("查询的账户信息为[{}]",login);
        return  Result.success(login);
    }

}
